Skip to main content

Create Many Xp

POST 

/v1/sandbox/:sandbox_id/xp

Create many XP. Requires permission sandbox:config:edit.

Request

Path Parameters

    sandbox_id uuidrequired

    Sandbox ID

Body

required

    data

    object[]

    required

    Possible values: >= 1

    The Xp to create.

  • Array [

  • custom_data

    object

    Custom data associated with the resource

    property name* string
    name Name (string)

    Possible values: non-empty and <= 125 characters

    Name of the resource

    description Description (string)

    Possible values: <= 250 characters

    Description of the resource

    xp_thresholds

    object[]

    The XP Thresholds.

  • Array [

  • custom_data

    object

    Custom data associated with the resource

    property name* string
    xp_level_threshold Xp Level Threshold (integer)required

    The XP Threshold value.

  • ]

  • legacy_xp_id Legacy Xp Id (integer)

    Default value: 0

    The legacy ID of the XP.

  • ]

Responses

Successful Response

Schema

  • Array [

  • custom_data

    object

    Custom data associated with the resource

    property name* string
    name Name (string)

    Possible values: non-empty and <= 125 characters

    Name of the resource

    description Description (string)

    Possible values: <= 250 characters

    Description of the resource

    xp_thresholds

    object[]

    The XP Thresholds.

  • Array [

  • custom_data

    object

    Custom data associated with the resource

    property name* string
    xp_level_threshold Xp Level Threshold (integer)required

    The XP Threshold value.

    xp_level_threshold_id uuidrequired

    The ID of the XP Threshold.

  • ]

  • sandbox_id uuid

    ID of the Sandbox

    last_modified_account_id uuid

    Account ID of the user who last modified the resource

    last_modified_timestamp date-time

    Timestamp of when the resource was last modified

    created_timestamp date-time

    Timestamp of when the resource was created

    xp_id uuidrequired

    The ID of the XP.

    legacy_xp_id Legacy Xp Id (integer)required

    The legacy ID of the XP.

  • ]

Loading...